## groovy.time
Class BaseDuration

Field Summary
`int` | `days`
`int` | `hours`
`int` | `millis`
`int` | `minutes`
`int` | `months`
`int` | `seconds`
`int` | `years`

Constructor Summary
`BaseDuration(int years, int months, int days, int hours, int minutes, int seconds, int millis)`
`BaseDuration(int days, int hours, int minutes, int seconds, int millis)`

Method Summary
`Date` | `getAgo()`
`int` | `getDays()`
`From` | `getFrom()`
`int` | `getHours()`
`int` | `getMillis()`
`int` | `getMinutes()`
`int` | `getMonths()`
`int` | `getSeconds()`
`int` | `getYears()`
`Date` | `plus(Date date)`
`long` | `toMilliseconds()`

Constructor Detail

### BaseDuration

    BaseDuration(int years, int months, int days, int hours, int minutes, int seconds, int millis)

### BaseDuration

    BaseDuration(int days, int hours, int minutes, int seconds, int millis)

Method Detail

### getAgo

    public Date getAgo()

### getDays

    public int getDays()

### getFrom

    public From getFrom()

### getHours

    public int getHours()

### getMillis

    public int getMillis()

### getMinutes

    public int getMinutes()

### getMonths

    public int getMonths()

### getSeconds

    public int getSeconds()

### getYears

    public int getYears()

### plus

    public Date plus(Date date)

### toMilliseconds

    public long toMilliseconds()